<?php
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "../clases/datosbd.class.php";
require_once "../libs/funciones.php";
require_once "../MandaCorreos/FuncionSendMail.php";

date_default_timezone_set("America/Mexico_City");

$datosbd = new datosbd();
if($datosbd->getDoce($_REQUEST["doce_uuid"])){
    if($datosbd->cDoce == null){
        $datosbd->Alert("No se encontro la información del documento.");
    }
}else{
    $datosbd->Alert("Ocurrio un error al consultar. ".$datosbd->mensajeerror);
}
if($datosbd->getFormaPago($datosbd->cDoce["adicionalb"])){
    if($datosbd->cFormaPago == null){
        $datosbd->Alert("No se encontro la forma de pago en el catalogo. Intente nuevamente.");
    }
}else{
    $datosbd->Alert("Ocurrio un error al consultar la forma de pago. ".$datosbd->mensajeerror);
}
if($datosbd->getNombreEmisor($datosbd->cDoce["rfcemisor"])){
    if($datosbd->cNombreEmisor == null){
        $datosbd->Alert("No se encontro el emisor dado de alta. Intente nuevamente.");
    }
}else{
    $datosbd->Alert("Ocurrio un error al consultar la forma de pago. ".$datosbd->mensajeerror);
}
$body = file_get_contents("../plantillas/notificacionPagoCancelacion.html");

$arrlblEnc = array("<<SERIE>>","<<FOLIO>>","<<RFCEMISOR>>","<<NOMBREEMISOR>>","<<FECHA>>","<<HORA>>","<<RFCRECEPTOR>>","<<NOMBRERECEPTOR>>","<<METODOPAGO>>","<<FORMAPAGO>>","<<MONEDA>>","<<TIPOCAMBIO>>","<<TOTAL>>");

$arrValEnc = array($datosbd->cDoce["serie"],$datosbd->cDoce["folio"],$datosbd->cDoce["rfcemisor"],$datosbd->cNombreEmisor["nombre"],substr($datosbd->cDoce["fecha"],0,10),substr($datosbd->cDoce["fecha"],10),$datosbd->cDoce["rfcreceptor"],$datosbd->cDoce["nombrerec"],$datosbd->cDoce["metodopago"],$datosbd->cFormaPago["descripcion"],$datosbd->cDoce["moneda"],number_format($datosbd->cDoce["tipocambio"],6,".",","),number_format($datosbd->cDoce["total"],6,".",","));

$body = str_replace($arrlblEnc, $arrValEnc, $body);

if(!@SendMail($_REQUEST["correo"],$_REQUEST["correo"],utf8_decode("Notificación de cancelación de documento de pago ".$datosbd->cDoce["serie"].$datosbd->cDoce["folio"]." ".$datosbd->cNombreEmisor["nombre"]), utf8_decode($body),"","","")){
    $datosbd->Alert("No se le pudo notificar la cancelación del documento al proveedor.");
}else{
    $datosbd->Info("Se ha enviado el correo correctamente.");
}

?>